WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: The Events Calendar] Curl not calling eventbrite api? (4 posts)

  1. Shane Pearlman
    Modern Tribe
    Posted 4 years ago #

    Hi Shane,

    ok, ive download both plugins.. All seemed to be going well until I tried saving the post with the eventbrite event added.. I got the following error; Warning: curl_setopt() [function.curl-setopt]: CURLOPT_FOLLOWLOCATION cannot be activated when in safe_mode or an open_basedir is set in/home/nickyzee/public_html/10/wp-content/plugins/eventbrite-for-the-events-calendar/eventbrite-for-the-events-calendar.php on line 297

    let me know if i need to edit the code?

    Thanks & Kind Regards,
    Nicky

  2. justinendler
    Member
    Posted 4 years ago #

    Hi Nicky,

    Thanks for reporting. We're looking into this. Can you provide any information about your server configuration? For instance, are you on a shared server? What version of PHP does your server run? If these questions seem like gibberish, then what hosting plan/company are you on?

    Thanks,

    Justin

  3. kelseydamas
    Member
    Posted 4 years ago #

    Hi Nicky,

    This issue should be fixed in the next release. Thanks for reporting it. In the meantime, you can get around this issue in your copy of the plugin by editing eventbrite-for-the-events-calendar.php and adding this code


    if( !ini_get('safe_mode') ) {
    curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, true );
    }

    This should replace line 297. Let me know if you have any questions.

  4. dcalderon
    Member
    Posted 4 years ago #

    I got this same error message, but it refers to line 310. This site runs on a shared server, php version 5.2.9. Any insights would be appreciated. This plugin would be a great fit for our needs if we could figure this out.
    Thanks!

Topic Closed

This topic has been closed to new replies.

About this Topic